앱 정보 수종
작성일 2026.03.20 | 수정일 2026.03.20
PUT
/appstore/v2/me/apps/:appIdParameters
appId*— 수정할 앱 ID
자신의 앱 정보를 수정합니다.
Body Params
Response
Structure
Request
{
"appName": "메시지 발송 도우미 v2",
"appVersion": "2.0.0",
"redirectUri": "https://example.com/callback",
"thumbnail": {
"name": "thumbnail.png",
"url": "https://s3.ap-northeast-2.amazonaws.com/appstore/thumbnail.png",
"originalName": "my-thumbnail.png"
},
"screenshots": [
{
"name": "screenshot1.png",
"url": "https://s3.ap-northeast-2.amazonaws.com/appstore/screenshot1.png",
"originalName": "app-preview.png"
}
],
"homepage": "https://example.com",
"profit": {
"sms": 2,
"lms": 5,
"mms": 10,
"ata": 3,
"cta": 8,
"cti": 0,
"nsa": 0,
"rcs_sms": 0,
"rcs_lms": 0,
"rcs_mms": 0,
"rcs_tpl": 0,
"rcs_itpl": 0,
"rcs_ltpl": 0,
"fax": 0,
"voice": 0,
"bms_text": 0,
"bms_image": 0,
"bms_wide": 0,
"bms_wide_item_list": 0,
"bms_carousel_feed": 0,
"bms_premium_video": 0,
"bms_commerce": 0,
"bms_carousel_commerce": 0,
"bms_free": 0
},
"categories": [
"메시징",
"마케팅"
],
"intro": "간편하게 메시지를 발송하세요",
"description": "솔라피 API를 활용한 대량 메시지 발송 서비스입니다.",
"email": "contact@example.com",
"scope": "users:read",
"deductFromMaster": false,
"ssoAllowedIp": [
{
"ipAddress": "192.168.0.1",
"createdAt": "2024-01-15T09:00:00.000Z"
}
],
"sideMenu": true,
"headerMenu": true,
"supportButton": true,
"channelTalkPluginId": "ch-plugin-123",
"allowIframe": false,
"customerCenterNumber": "02-1234-5678",
"status": "ACTIVE",
"alwaysUseSubAccount": false
}
Response
{
"appId": "aBcDeFgHiJkL",
"appName": "메시지 발송 도우미",
"appVersion": null,
"accountId": "12345678901234",
"clientId": "COID_abcdefghijkl",
"thumbnail": {
"name": "thumbnail.png",
"url": "https://s3.ap-northeast-2.amazonaws.com/appstore/thumbnail.png",
"originalName": "my-thumbnail.png"
},
"screenshots": [
{
"name": "screenshot1.png",
"url": "https://s3.ap-northeast-2.amazonaws.com/appstore/screenshot1.png",
"originalName": "app-preview.png"
}
],
"homepage": "https://example.com",
"profit": {
"sms": 2,
"lms": 5,
"mms": 10,
"ata": 3,
"cta": 8,
"cti": 0,
"nsa": 0,
"rcs_sms": 0,
"rcs_lms": 0,
"rcs_mms": 0,
"rcs_tpl": 0,
"rcs_itpl": 0,
"rcs_ltpl": 0,
"fax": 0,
"voice": 0,
"bms_text": 0,
"bms_image": 0,
"bms_wide": 0,
"bms_wide_item_list": 0,
"bms_carousel_feed": 0,
"bms_premium_video": 0,
"bms_commerce": 0,
"bms_carousel_commerce": 0,
"bms_free": 0
},
"categories": [
"메시징",
"마케팅"
],
"intro": "간편하게 메시지를 발송하세요",
"description": "솔라피 API를 활용한 대량 메시지 발송 서비스입니다.",
"stage": "LIVE",
"status": "ACTIVE",
"email": "contact@example.com",
"type": "APP",
"deductFromMaster": false,
"ssoAllowedIp": [],
"allowIframe": false,
"customerCenterNumber": null,
"alwaysUseSubAccount": false,
"appDomain": null,
"customDomain": null,
"apphomeConfig": {
"primaryColor": null,
"secondaryColor": null,
"sideMenu": true,
"menuItemsVisibility": {
"sideMenu": true,
"headerMenu": true,
"supportButton": true
},
"channelTalkPluginId": null,
"slogan": true
},
"redirectUri": "https://example.com/callback",
"scope": "users:read",
"dateCreated": "2024-01-15T09:00:00.000Z",
"dateUpdated": "2024-03-20T14:30:00.000Z"
}